Package org.gradle.jvm

## Interface JarBinarySpec

- All Superinterfaces:
    `Binary`, `BinarySpec`, `Buildable`, `BuildableComponentSpec`, `CheckableComponentSpec`, `ComponentSpec`, `JvmBinarySpec`, `LibraryBinarySpec`, `ModelElement`, `Named`

      @Incubating
      @Deprecated
      public interface JarBinarySpec
      extends LibraryBinarySpec, JvmBinarySpec

  Deprecated.
  Definition of a Jar file binary that is to be built by Gradle.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `JarBinarySpec.TasksCollection` | Deprecated. Provides access to key tasks used for building the binary.

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `File` | `getApiJarFile()` | Deprecated. The API jar file output for this binary.
    `Set<String>` | `getExportedPackages()` | Deprecated.
    `LibraryBinaryIdentifier` | `getId()` | Deprecated. The unique identifier of this JarBinarySpec.
    `File` | `getJarFile()` | Deprecated. The jar file output for this binary.
    `JvmLibrarySpec` | `getLibrary()` | Deprecated. The library that this binary belongs to.
    `JarBinarySpec.TasksCollection` | `getTasks()` | Deprecated. The set of tasks associated with this binary.
    `void` | `setApiJarFile​(File jarFile)` | Deprecated. Sets the API jar file output for this binary.
    `void` | `setExportedPackages​(Set<String> exportedPackages)` | Deprecated.
    `void` | `setJarFile​(File jarFile)` | Deprecated. Sets the jar file output for this binary.

    - ### Methods inherited from interface org.gradle.platform.base.Binary

      `getDisplayName`

    - ### Methods inherited from interface org.gradle.platform.base.BinarySpec

      `getInputs, getSources, isBuildable`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.BuildableComponentSpec

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.CheckableComponentSpec

      `checkedBy, getCheckTask, setCheckTask`

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.jvm.JvmBinarySpec

      `getClassesDir, getResourcesDir, getTargetPlatform, getToolChain, setClassesDir, setResourcesDir, setTargetPlatform, setToolChain`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName, getName`

- - ### Method Detail

    - #### getTasks

          JarBinarySpec.TasksCollection getTasks()

      Deprecated.
      The set of tasks associated with this binary.
      Specified by:
        `getTasks` in interface `BinarySpec`

    - #### getLibrary

          JvmLibrarySpec getLibrary()

      Deprecated.
      The library that this binary belongs to.
      Specified by:
        `getLibrary` in interface `LibraryBinarySpec`

    - #### getId

          LibraryBinaryIdentifier getId()

      Deprecated.
      The unique identifier of this JarBinarySpec.

    - #### getJarFile

          File getJarFile()

      Deprecated.
      The jar file output for this binary.

    - #### setJarFile

          void setJarFile​(File jarFile)

      Deprecated.
      Sets the jar file output for this binary.

    - #### getApiJarFile

          File getApiJarFile()

      Deprecated.
      The API jar file output for this binary.

    - #### setApiJarFile

          void setApiJarFile​(File jarFile)

      Deprecated.
      Sets the API jar file output for this binary.

    - #### setExportedPackages

          void setExportedPackages​(Set<String> exportedPackages)

      Deprecated.

    - #### getExportedPackages

          Set<String> getExportedPackages()

      Deprecated.